org.firebirdsql.jna.fbclient

## Class ISC_TIMESTAMP

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.ISC_TIMESTAMP

- Direct Known Subclasses:
    ISC_TIMESTAMP.ByReference, ISC_TIMESTAMP.ByValue

      @Structure.FieldOrder(value={"timestamp_date","timestamp_time"})
      public class ISC_TIMESTAMP
      extends com.sun.jna.Structure

  JNA wrapper for ISC_TIMESTAMP.

  This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

  This file was modified manually, do not automatically regenerate!

  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ISC_TIMESTAMP.ByReference`
    `static class` | `ISC_TIMESTAMP.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `timestamp_date`
    `int` | `timestamp_time`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISC_TIMESTAMP()`
    `ISC_TIMESTAMP(int timestamp_date, int timestamp_time)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timestamp_date

          public int timestamp_date

    - #### timestamp_time

          public int timestamp_time

  - ### Constructor Detail

    - #### ISC_TIMESTAMP

          public ISC_TIMESTAMP()

    - #### ISC_TIMESTAMP

          public ISC_TIMESTAMP(int timestamp_date,
                               int timestamp_time)

      Parameters:
        `timestamp_date` - C type : ISC_DATE
        `timestamp_time` - C type : ISC_TIME

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.